SQLTemplateParserConstants (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.template.parser, interface: SQLTemplateParserConstants

# Interface SQLTemplateParserConstants

All Known Implementing Classes:
  `SQLTemplateParser, SQLTemplateParserTokenManager`

public interface SQLTemplateParserConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ARGS`
  Lexical state.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `DEC_DIGITS`
  RegularExpression Id.
  `static final int`
  `DEC_FLT`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DOLLAR`
  RegularExpression Id.
  `static final int`
  `DOT`
  RegularExpression Id.
  `static final int`
  `DOUBLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `ELSE`
  RegularExpression Id.
  `static final int`
  `END`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `ESC`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FALSE`
  RegularExpression Id.
  `static final int`
  `FLOAT_LITERAL`
  RegularExpression Id.
  `static final int`
  `FLT_SUFF`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IF`
  RegularExpression Id.
  `static final int`
  `IN_SINGLE_LINE_COMMENT`
  Lexical state.
  `static final int`
  `INT_LITERAL`
  RegularExpression Id.
  `static final int`
  `LBRACKET`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LSBRACKET`
  RegularExpression Id.
  `static final int`
  `NOT_TEXT`
  Lexical state.
  `static final int`
  `RBRACKET`
  RegularExpression Id.
  `static final int`
  `RSBRACKET`
  RegularExpression Id.
  `static final int`
  `SHARP`
  RegularExpression Id.
  `static final int`
  `SINGLE_LINE_COMMENT_END`
  RegularExpression Id.
  `static final int`
  `SINGLE_QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `STRING_ESC`
  RegularExpression Id.
  `static final int`
  `TEXT`
  RegularExpression Id.
  `static final int`
  `TEXT_OTHER`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TRUE`
  RegularExpression Id.
  `static final int`
  `WithinDoubleQuoteLiteral`
  Lexical state.
  `static final int`
  `WithinSingleQuoteLiteral`
  Lexical state.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### IF

    static final int IF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELSE

    static final int ELSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### END

    static final int END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SHARP

    static final int SHARP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOLLAR

    static final int DOLLAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUE

    static final int TRUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FALSE

    static final int FALSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RBRACKET

    static final int RBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LSBRACKET

    static final int LSBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RSBRACKET

    static final int RSBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACKET

    static final int LBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOT

    static final int DOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SINGLE_LINE_COMMENT_END

    static final int SINGLE_LINE_COMMENT_END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESC

    static final int ESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SINGLE_QUOTED_STRING

    static final int SINGLE_QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRING_ESC

    static final int STRING_ESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE_QUOTED_STRING

    static final int DOUBLE_QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT_LITERAL

    static final int INT_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOAT_LITERAL

    static final int FLOAT_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEC_FLT

    static final int DEC_FLT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEC_DIGITS

    static final int DEC_DIGITS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLT_SUFF

    static final int FLT_SUFF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TEXT

    static final int TEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TEXT_OTHER

    static final int TEXT_OTHER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### ARGS

    static final int ARGS
    Lexical state.
    See Also:
      - Constant Field Values

  - ### NOT_TEXT

    static final int NOT_TEXT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IN_SINGLE_LINE_COMMENT

    static final int IN_SINGLE_LINE_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### WithinSingleQuoteLiteral

    static final int WithinSingleQuoteLiteral
    Lexical state.
    See Also:
      - Constant Field Values

  - ### WithinDoubleQuoteLiteral

    static final int WithinDoubleQuoteLiteral
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.